BATCHES
Get batch status
get
/api/v1/renders/batches/{id}AuthorizationBearer <token>
API key as Authorization: Bearer <key>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/renders/batches/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "70b7c66e-703b-43f9-996c-111ef8f4b458", "status": "done", "totals": { "queued": 0, "processing": 0, "done": 2, "failed": 0 }, "totalJobs": 2, "jobs": [ { "id": "6da902e9-9107-4fa0-aeab-91a8899fc4c4", "status": "done", "attempts": 1, "error": null, "priority": 1, "updatedAt": "2026-08-03T09:29:50.816Z", "assetUrl": "https://app.jsontoimg.com/api/v1/renders/6da902e9-9107-4fa0-aeab-91a8899fc4c4/asset" }, { "id": "76e652ac-5488-48c1-aeb1-d8395b9fdf76", "status": "done", "attempts": 1, "error": null, "priority": 1, "updatedAt": "2026-08-03T09:29:51.003Z", "assetUrl": "https://app.jsontoimg.com/api/v1/renders/76e652ac-5488-48c1-aeb1-d8395b9fdf76/asset" } ], "createdAt": "2026-08-03T09:29:48.564Z", "updatedAt": "2026-08-03T09:29:48.596Z"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}